;-------------------------------------------------------------------------------
; Beim bettigen oder beim loslassen der Taste an PB.2 wird der Interrupt (int_pc) ausgelst. 
; Beim drcken wird die LED an PB.1 ausgeschaltet und mit RETI ins Hauptprogramm zurckgekehrt. 
; Beim loslassen wird nocheinmal ein Interrupt ausgelst !, LED=ein und zurck. 
;-------------------------------------------------------------------------------
; dieses Programm geht so nicht in BAScom !!!
; zu Beginn leuchtet die LED NICHT, erst beim bettigen von Sck !
;-------------------------------------------------------------------------------
.DEVICE ATtiny13		; fr gavrasm, fr Symbolische Registerbezeichnungen (z.B.'DDRB')
.CSEG				; frs CodeSegment
.org 0				; fr Adresse 0 bersetzen
;-------------------------------------------------------------------------------
	rjmp init		; Reset vector
				; nach einem Reset wird zu init gesprungen
;-------------------------------------------------------------------------------
	reti			; Int0 interrupt vector
				; hierhin wird nach auslsen eines Int0 gesprungen
;-------------------------------------------------------------------------------
int_pc:				; wird NUR vom Interrupt PCINT aufgerufen !!!
	sbi PORTB,1		; LED ein
	sbic PINB,2		; skip if sck=0
	cbi PORTB,1		; LED aus wenn sck=1
	reti 			; ins Hauptprogramm zurck
;-------------------------------------------------------------------------------
init:				; Vorbereitungen
	sbi DDRB,1		; LED als Ausgang
				;
	sbi pcmsk,2		; Maske fr PCINT auf PB.2 setzen
				;
	ldi r16,0b00100000	; - 0 1 - - - - -
	out GIMSK,r16		;   ^-^- PCINT Enable
				;
	sei			; Setze Interrupt Flag
;-------------------------------------------------------------------------------
main:				; Hauptprogramm
	rjmp main		; Endlosschleife
;-------------------------------------------------------------------------------
